package com.adealink.weparty.playmate.findpartner.viewmodel

import com.adealink.frame.mvvm.livedata.ExtMutableLiveData
import com.adealink.frame.mvvm.viewmodel.BaseViewModel
import com.adealink.weparty.module.playmate.data.PlaymateCategoryData
import com.adealink.weparty.playmate.findpartner.data.FindPartnerPage
import com.adealink.weparty.ui.category.data.CategoryListTitleData

class FindPartnerViewModel : BaseViewModel() {
    val pageLD = ExtMutableLiveData<FindPartnerPage>()

    fun showPage(page: FindPartnerPage) {
        pageLD.send(page)
    }

    val categoryTitleLD = ExtMutableLiveData<List<CategoryListTitleData>>()
    fun setCategoryList(titleList: List<CategoryListTitleData>) {
        categoryTitleLD.send(titleList)
    }

    val selectCategoryLD = ExtMutableLiveData<PlaymateCategoryData>()
    fun selectCategory(category: PlaymateCategoryData) {
        selectCategoryLD.send(category)
    }
}